/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "RealStereoElecDriver.h"
#include "StereoElecDriver.h"
#include "StereoElecDef.h"

#include <iostream>

using namespace std;

namespace stereo_elec {

/*
 * Constructor
 */
RealStereoElecDriver::RealStereoElecDriver(StereoElecDriver* owner) :
	StereoElecState(owner) {


}

/*
 * Destructor
 */
RealStereoElecDriver::~RealStereoElecDriver() {

	// Empty
}

/*
 * init
 */
void RealStereoElecDriver::init() {

}

/*
 * clear
 */
void RealStereoElecDriver::clear() {

}

/*
 * writeParam
 */
void RealStereoElecDriver::writeParam() {
}

/*
 * readInfos
 */
void RealStereoElecDriver::readInfos() {
}

/*
 * stop
 */
void RealStereoElecDriver::stop() {
}

/*
 * read
 */
void RealStereoElecDriver::read() {

}

/*
 * synchroniseRead
 */
void RealStereoElecDriver::synchroniseRead() {

}

/*
 * readStatus
 */
void RealStereoElecDriver::readStatus() {

}

}
